Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 617094 - avc: denied { module_request } for ... comm="arpwatch" kmod="net-pf-31" ...
avc: denied { module_request } for ... comm="arpwatch" kmod="net-pf-31" ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: selinux-policy (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Miroslav Grepl
Milos Malik
: RHELNAK
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-22 03:31 EDT by Milos Malik
Modified: 2012-10-16 08:30 EDT (History)
1 user (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-34.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:35:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2010-07-22 03:31:04 EDT
Description of problem:


Version-Release number of selected component (if applicable):
selinux-policy-3.7.19-33.el6.noarch
selinux-policy-targeted-3.7.19-33.el6.noarch
arpwatch-2.1a15-14.el6.x86_64

How reproducible:
always

Steps to Reproduce:
# tps-rhts -d selinux-policy
# cd /mnt/testarea/tests/selinux-policy/Sanity/confined-admins-and-their-services/
# vim runtest.sh (remove all lines containing "_admin," string except for "arpwatch_admin,arpwatch" line)
# yum -y install arpwatch
# make run
# ausearch -m avc -ts recent
  
Actual results:
----
time->Thu Jul 22 03:22:11 2010
type=SYSCALL msg=audit(1279783331.804:42777): arch=c000003e syscall=41 success=no exit=-97 a0=1f a1=3 a2=1 a3=7fff933581e0 items=0 ppid=17395 pid=17398 auid=501 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=pts3 ses=16 comm="arpwatch" exe="/usr/sbin/arpwatch" subj=staff_u:system_r:arpwatch_t:s0 key=(null)
type=AVC msg=audit(1279783331.804:42777): avc:  denied  { module_request } for  pid=17398 comm="arpwatch" kmod="net-pf-31" scontext=staff_u:system_r:arpwatch_t:s0 tcontext=system_u:system_r:kernel_t:s0 tclass=system
----

Expected results:
no AVCs
Comment 1 RHEL Product and Program Management 2010-07-22 03:37:48 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 2 Daniel Walsh 2010-07-22 10:22:09 EDT
Do you have bluetooth disabled on your machine?

Miroslav, I think we need to add

kernel_request_load_module(arpwatch_t)
Comment 3 Miroslav Grepl 2010-07-23 10:30:20 EDT
Fixed in selinux-policy-3.7.19-34.el6.noarch
Comment 6 releng-rhel@redhat.com 2010-11-10 16:35:28 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.